linux-fsl-imx51: 2.6.31-610.27 -proposed tracker

Bug #829160 reported by Herton R. Krzesinski on 2011-08-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Registry Administrators
Security-signoff
Undecided
Canonical Security Team
Upload-to-ppa-dnu
Undecided
Canonical Kernel Team
Verification-testing
Undecided
ubuntu-armel-kernel
linux-fsl-imx51 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-prepare-start:Friday, 19. August 2011 03:15 UTC
kernel-stable-certification-end:Friday, 19. August 2011 03:30 UTC
kernel-stable-prepare-end:Tuesday, 23. August 2011 05:30 UTC
kernel-stable-copy-to-proposed-start:Tuesday, 23. August 2011 05:30 UTC
kernel-stable-phase:Verification
kernel-stable-copy-to-proposed-end:Wednesday, 24. August 2011 09:45 UTC
kernel-stable-phase-changed:Wednesday, 24. August 2011 09:45 UTC
kernel-stable-verification-start:Wednesday, 24. August 2011 09:45 UTC
kernel-stable-Prepare-package-start:Friday, 19. August 2011 03:15 UTC
kernel-stable-Verification-testing-start:Wednesday, 24. August 2011 09:45 UTC
kernel-stable-Prepare-package-end:Tuesday, 23. August 2011 05:30 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 24. August 2011 09:45 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 23. August 2011 05:30 UTC
kernel-stable-Certification-testing-end:Friday, 19. August 2011 03:30 UTC

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
description: updated
Paolo Pisati (p-pisati) on 2011-08-19
Changed in kernel-sru-workflow:
status: In Progress → Invalid
Changed in linux-fsl-imx51 (Ubuntu):
status: In Progress → Invalid
tags: removed: armel
tags: removed: kernel-release-tracking-bug
tags: removed: lucid
summary: - linux-fsl-imx51: <version to be filled> -proposed tracker
+ Ignore this bug
summary: - Ignore this bug
+ linux-fsl-imx51: <version to be filled> -proposed tracker
tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in kernel-sru-workflow:
status: Invalid → New
Changed in linux-fsl-imx51 (Ubuntu):
status: Invalid → New
Changed in kernel-sru-workflow:
status: New → In Progress
Changed in linux-fsl-imx51 (Ubuntu):
status: New → In Progress
Paolo Pisati (p-pisati) on 2011-08-22
summary: - linux-fsl-imx51: <version to be filled> -proposed tracker
+ linux-fsl-imx51: 2.6.31-610.27-proposed tracker

Please reset lucid/fsl-imx51 to my HEAD here:

git://kernel.ubuntu.com/ppisati/ubuntu-lucid.git fsl-imx51

around 57 CVEs fixed in this release.

summary: - linux-fsl-imx51: 2.6.31-610.27-proposed tracker
+ linux-fsl-imx51: 2.6.31-610.27 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) wrote :

Copied kernel and meta package to -proposed.

description: updated
Steve Conklin (sconklin) on 2011-08-30
description: updated
Herton R. Krzesinski (herton) wrote :

After lucid respin a new fsl-imx51 update will supersede this (bug 837802). Marking as duplicate.

Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux-fsl-imx51 - 2.6.31-610.28

---------------
linux-fsl-imx51 (2.6.31-610.28) lucid-proposed; urgency=low

  * Release tracking bug
    - LP: #837802

  [ Upstream Kernel Changes ]

  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux-fsl-imx51 (2.6.31-610.27) lucid-proposed; urgency=low

  * Release tracking bug
    - LP: #829160

  [ Upstream Kernel Changes ]

  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * Fix corrupted OSF partition table parsing
    - LP: #796606
    - CVE-2011-1163
  * can: Add missing socket check in can/bcm release.
    - LP: #796502
    - CVE-2011-1598
  * proc: protect mm start_code/end_code in /proc/pid/stat
    - LP: #799906
    - CVE-2011-0726
  * sctp: Fix a race between ICMP protocol unreachable and connect()
  * tty: Make tiocgicount a handler, CVE-2010-4076, CVE-2010-4077
    - LP: #794034
    - CVE-2010-4077
  * filter: make sure filters dont read uninitialized memory CVE-2010-4158
    - LP: #721282
    - CVE-2010-4158
  * bio: take care not overflow page count when mapping/copying user data
    CVE-2010-4162
    - LP: #721441
    - CVE-2010-4162
  * block: check for proper length of iov entries in blk_rq_map_user_iov()
    - LP: #721504
    - CVE-2010-4163
  * block: check for proper length of iov entries earlier in
    blk_rq_map_user_iov(), CVE-2010-4163
    - LP: #721504
    - CVE-2010-4163
  * rds: Integer overflow in RDS cmsg handling, CVE-2010-4175
    - LP: #721455
    - CVE-2010-4175
  * bluetooth: Fix missing NULL check CVE-2010-4242
    - LP: #714846
    - CVE-2010-4242
  * IB/uverbs: Handle large number of entries in poll CQ CVE-2010-4649
    - LP: #800121
    - CVE-2010-4649
  * epoll: prevent creating circular epoll structures CVE-2011-1082
    - LP: #800758
    - CVE-2011-1082
  * nfs4: Ensure that ACL pages sent over NFS were not allocated from the
    slab (v3) CVE-2011-1090
    - LP: #800775
  * ldm: corrupted partition table can cause kernel oops CVE-2011-1012
    - LP: #801083
    - CVE-2011-1012
  * netfilter: ipt_CLUSTERIP: fix buffer overflow CVE-2011-2534
    - LP: #801473
    - CVE-2011-2534
  * netfilter: arp_tables: fix infoleak to userspace CVE-2011-1170
    - LP: #801480
    - CVE-2011-1170
  * netfilter: ip_tables: fix infoleak to userspace CVE-2011-1171
    - LP: #801482
    - CVE-2011-1171
  * ipv6: netfilter: ip6_tables: fix infoleak to userspace CVE-2011-1172
    - LP: #801483
    - CVE-2011-1172
  * econet: 4 byte infoleak to the network CVE-2011-1173
    - LP: #801484
    - CVE-2011-1173
  * net: Limit socket I/O iovec total length to INT_MAX.
    - LP: #708839
  * fs/partitions: Validate map_count in Mac partition tables -
    CVE-2011-1010
    - LP: #804225
    - CVE-2011-1010
  * drm: fix unsigned vs signed comparison issue in modeset ctl ioctl,
    CVE-2011-1013
    - LP: #804229
    - CVE-2011-1013
...

Read more...

Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers